package com.docus.server.report.api.dto;

import lombok.Getter;

import java.util.Objects;

/**
 * 顺德人医 移动护理文档异常推送请求参数
 *
 * @author jiashi
 */
@Getter
public class SdNurDocFailRequest {
    /**
     * 接口名称，默认值：nurse_doc_fai
     */
    private final String tradeCode;
    /**
     * 住院号
     */
    private final String zyh;
    /**
     * 住院次数
     */
    private final String visit_id;
    /**
     * 错误代码（默认值-1）
     */
    private final String error_code;
    /**
     * 错误描述
     */
    private final String error_msg;

    public SdNurDocFailRequest(String zyh, String visit_id, String tradeCode,String error_code,String error_msg) {
        Objects.requireNonNull(zyh);
        Objects.requireNonNull(visit_id);
        Objects.requireNonNull(tradeCode);
        Objects.requireNonNull(error_code);
        Objects.requireNonNull(error_msg);
        this.tradeCode = tradeCode;
        this.zyh = zyh;
        this.visit_id = visit_id;
        this.error_code = error_code;
        this.error_msg = error_msg;
    }
}
